View Issue Details

IDProjectCategoryView StatusLast Update
0002986GNUnetnamestore servicepublic2013-12-24 20:54
ReporterChristian GrothoffAssigned ToMatthias Wachs 
PriorityurgentSeverityblockReproducibilityunable to reproduce
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.0Fixed in Version0.10.0 
Summary0002986: namestore testcases need to be updated to new API
DescriptionThe namestore API changed because of the GNS crypto change (query privacy). As a result, the old testcases need to be updated to match the new API(s).
TagsNo tags attached.

Relationships

child of 0002988 closedChristian Grothoff GNUnet GNS needs to be adapted for the new crypto 
child of 0003024 closedChristian Grothoff gnunet-gtk when we discover a namespace advertisement, we need to update the sks-fs zone accordingly 

Activities

Matthias Wachs

2013-09-11 14:27

manager   ~0007434

Tests are updated and functionality is adapted, testcases not required anymore were removed

Issue History

Date Modified Username Field Change
2013-08-12 21:08 Christian Grothoff New Issue
2013-08-12 21:08 Christian Grothoff Status new => assigned
2013-08-12 21:08 Christian Grothoff Assigned To => Matthias Wachs
2013-08-12 21:14 Christian Grothoff Relationship added child of 0002988
2013-08-14 22:13 Christian Grothoff Priority high => urgent
2013-09-10 21:05 Christian Grothoff Relationship added child of 0003024
2013-09-11 14:27 Matthias Wachs Note Added: 0007434
2013-09-11 14:28 Matthias Wachs Status assigned => resolved
2013-09-11 14:28 Matthias Wachs Resolution open => fixed
2013-09-11 16:30 Christian Grothoff Fixed in Version => 0.10.0
2013-10-02 13:56 Christian Grothoff Category namestore => namestore service
2013-12-24 20:54 Christian Grothoff Status resolved => closed